1. Bitbucket Website
  2. Public Issue Tracker
  3. master

Issues

Issue #1989 invalid

Latex builder problem with "deprecated" parameter for pdf output

Jeff McKenna
created an issue

Using Sphinx 1.0b2, for the mapserver.org documentation, when trying to use the latex builder to generate PDF output, with a 'make all-pdf' command, the following restructured text:

{{{ GAP [int] .. deprecated:: 6.0

     This keyword has been deprecated in version 6.0. It has been replaced by the same keyword in the :ref:`STYLE`.

}}}

..causes the following error when trying to 'make all-pdf':

{{{ ! Undefined control sequence. l.8079 ...m[{GAP {[}int{]}}] \leavevmodeDeprecated since version 6.0. }}}

..but the following restructured text works fine:

{{{ GAP [int] This keyword has been deprecated in version 6.0. It has been replaced by the same keyword in the :ref:STYLE.

     .. deprecated:: 6.0

}}}

Is this a Sphinx issue?

-jeff

Comments (2)

  1. Log in to comment